/// Model to hold information about a single Hamachi network
///
class HamachiNetwork {
  String id;
  String name;
  String capacity;
  String type;
  String owner;

  /// Constructor
  ///
  HamachiNetwork();

  /// Creates a HamachiNetwork object from a regex match
  ///
  factory HamachiNetwork.fromMatch(RegExpMatch match) {
    var network = HamachiNetwork();
    network.id = match.namedGroup('id');
    network.name = match.namedGroup('name').trim();
    network.capacity = match.namedGroup('capacity').trim();
    network.type = match.namedGroup('type').trim();
    network.owner = match.namedGroup('owner').trim();
    // print('\n ${network}');
    return network;
  }
  @override
  String toString() {
    return 'HamachiNetwork: ${id} ${name} ${capacity} ${type} ${owner}';
  }
}
